#
# spec file for package tei_3 (Version 2001.1.8)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         tei_3
License:      Unknown, distributable
Group:        Productivity/Publishing/HTML/Tools
Autoreqprov:  on
Summary:      TEI and TEI Lite DTD
Version:      2001.1.8
Release:      90.1
# You'll find the unpacked source files at
# ftp://ftp-tei.uic.edu/pub/tei/p3/dtd/
# ftp://ftp-tei.uic.edu/pub/tei/p3/dtd/fpi/
Source0:      tei-3.tar.gz
Source1:      tei-dsl.961210.tar.gz
# Source2:    ftp://ftp-tei.uic.edu/pub/tei/p3doc.tar.gz
Source3:      http://www.uic.edu/orgs/tei/lite/teixlite.dtd
Source4:      http://www.uic.edu/orgs/tei/ed/teixml.dtd
Source5:      http://www.uic.edu/orgs/tei/ed/teixml.ent
Source6:      http://www.uic.edu/orgs/tei/ed/edw69.html
Source7:      http://www.uic.edu/orgs/tei/ed/edw69.sgm
Source8:      http://www.hcu.ox.ac.uk/TEI/P4beta-files/p4betadtd.tar.gz
Patch:        tei-dsl-catalog.patch
Provides:     tei
Obsoletes:    tei
URL:          http://www.tei-c.org/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
If you want to markup literary and linguistic texts for online research
and teaching using SGML, then the DTD of the TEI (Text Encoding
Initiative) is the way to go.

The TEI Lite DTD is a subset of the complex TEI DTD -- often the "lite"
version is sufficient to markup texts.

If you want to start a new project consider to use version P4 (tei_4).



%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define sgml_dir /usr/share/sgml
%define sgml_tei %{sgml_dir}/tei
%define sgml_tei_dir %{sgml_tei}/dtd-3
%define sgml_teilite_dir %{sgml_tei}/teilite
%define sgml_teixlite_dir %{sgml_tei}/teixlite
%define sgml_config_dir /var/lib/sgml
%prep
%setup -q -n TEI
%setup -q -n TEI -T -D -a 1
mkdir 3x
tar xz -C 3x -f %{SOURCE8}
%{INSTALL_DATA} $RPM_SOURCE_DIR/teixlite.dtd .
%{INSTALL_DATA} $RPM_SOURCE_DIR/teixml.dtd .
%{INSTALL_DATA} $RPM_SOURCE_DIR/teixml.ent .
%{INSTALL_DATA} $RPM_SOURCE_DIR/edw69.html .
%{INSTALL_DATA} $RPM_SOURCE_DIR/edw69.sgm .
%patch -p1
# ./configure --prefix=/usr

%build
{ echo "CATALOG %{sgml_config_dir}/CATALOG.iso_ent";
  echo "OVERRIDE YES";
  echo "DOCTYPE \"tei.2\" %{sgml_tei_dir}/tei2.dtd"; } > CATALOG.tei-3.system
sed -e 's:&DTDPATH;:%{sgml_tei_dir}:' < fpi/teifpi.cat > CATALOG.tei-3
echo "PUBLIC \"-//TEI//DTD TEI Lite XML ver. 1//EN\"
       %sgml_teilite_dir}/teixlite.dtd
PUBLIC \"-//TEI//DTD TEI Lite XML ver. 1.3//EN\"
       %{sgml_teixlite_dir}/teixlite.dtd"  > CATALOG.teixlite

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
# TEI
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_tei_dir}
%{INSTALL_DATA} tei*.{dec,dtd,ent} $RPM_BUILD_ROOT%{sgml_tei_dir}
%{INSTALL_DATA} fpi/teifpi2.dtd fpi/teifpi2.ent $RPM_BUILD_ROOT%{sgml_tei_dir}
# override with update files
%{INSTALL_DATA} 3x/* $RPM_BUILD_ROOT%{sgml_tei_dir}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_config_dir}
%{INSTALL_DATA} CATALOG.tei-3 CATALOG.tei-3.system $RPM_BUILD_ROOT%{sgml_config_dir}
(cd $RPM_BUILD_ROOT%{sgml_dir} \
  && ln -sf ../../..%{sgml_config_dir}/CATALOG.tei-3 CATALOG.tei-3 \
  && ln -sf ../../..%{sgml_config_dir}/CATALOG.tei-3.system CATALOG.tei-3.system)
#TEIlite
# /usr/share/sgml/docbook/dsssl-stylesheets-1.79
%define sgml_tei_dsssl %{sgml_tei}/dsssl-stylesheets-19961210
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_tei_dsssl}
%{INSTALL_DATA} tei-dsl/*.{dsl,sh} $RPM_BUILD_ROOT%{sgml_tei_dsssl}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_teilite_dir}
%{INSTALL_DATA} tei-dsl/* $RPM_BUILD_ROOT%{sgml_teilite_dir}
# remove DSSSL DTD and related files which are installed elsewhere
rm -f $RPM_BUILD_ROOT%{sgml_teilite_dir}/{dsssl.dtd,fot.dtd,style-sheet.dtd}
rm -f $RPM_BUILD_ROOT%{sgml_teilite_dir}/*.{dsl,sh,bat}
pushd $RPM_BUILD_ROOT%{sgml_teilite_dir}
for f in ../dsssl-stylesheets-19961210/*.dsl; do
  ln -s $f .
done
popd
#XML
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_teixlite_dir}
%{INSTALL_DATA} teixlite.dtd $RPM_BUILD_ROOT%{sgml_teixlite_dir}
%{INSTALL_DATA} CATALOG.teixlite $RPM_BUILD_ROOT%{sgml_config_dir}
(cd $RPM_BUILD_ROOT%{sgml_dir} \
  && ln -sf ../../..%{sgml_config_dir}/CATALOG.teixlite CATALOG.teixlite )
%{INSTALL_DATA} teixml.dtd $RPM_BUILD_ROOT%{sgml_tei_dir}
%{INSTALL_DATA} teixml.ent $RPM_BUILD_ROOT%{sgml_tei_dir}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc fpi/teifpi.doc fpi/teifpi.html
%doc edw69.html
%dir %{sgml_tei}
%{sgml_tei_dsssl}
%{sgml_tei_dir}
%{sgml_teilite_dir}
%{sgml_teixlite_dir}
%dir %{sgml_config_dir}
%config %{sgml_config_dir}/CATALOG.tei*
%{sgml_dir}/CATALOG.tei*

%changelog -n tei_3
* Tue Nov 09 2004 - ke@suse.de
- Remove DSSSL DTD files which are already installed with openjade.
- Patch tei-dsl/catalog to make it work with docbook-utils [# 48020].
- Move TEI DSSSL files from /usr/share/sgml/tei/teilite to
  /usr/share/sgml/tei/dsssl-stylesheets-19961210.
* Tue Feb 24 2004 - hmacht@suse.de
- building as non-root
* Tue Jun 17 2003 - ke@suse.de
- Add missing directories to %%files list.
* Thu May 23 2002 - ke@suse.de
- Rename: tei -> tei_3.
* Tue Nov 27 2001 - ke@suse.de
- Update from http://www.hcu.ox.ac.uk/TEI/ to fix serveral bugs (the
  archive is wrongly called p4beta).
- Move the all data into a subdir under /usr/share/sgml/tei
  (cf. DocBook).
* Mon Apr 09 2001 - ke@suse.de
- Add group tag (reported by Thorsten Kukuk).
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Aug 22 1999 - bs@suse.de
- made package noarch
* Sun Aug 22 1999 - ke@suse.de
- add XML versions.
* Wed Oct 28 1998 - ke@suse.de
- initial package: version 3
